SEQMAGICK(1)

NAME
seqmagick - Manipulate sequence files

SYNOPSIS
usage: seqmagick [-h] [-V] [-v] [-q]

    help, convert, info, mogrify, primer-trim, quality-filter, extract-ids, backtrans-align ...

DESCIPTION
Seqmagick is a little utility to expose the file format conversion in BioPython in a convenient way.

OPTIONS

  positional arguments:

    help, convert, info, mogrify, primer-trim, quality-filter, extract-ids, backtrans-align

help
    Detailed help for actions using help <action>

convert
    Convert between sequence formats

info
    Info action

mogrify
    Modify sequence file(s) in place.

primer-trim
    Find a primer sequence in a gapped alignment, trim to amplicon

quality-filter
    Filter reads based on quality scores

extract-ids
    Extract the sequence IDs from a file

backtrans-align
    Given a protein alignment and unaligned nucleotides, align the nucleotides using the protein alignment. Protein and nucleotide sequence files must contain the same number of sequences, in the same order, with the same IDs.

  optional arguments:

-h, --help
    show this help message and exit

-V, --version
    Print the version number and exit

-v, --verbose
    Be more verbose. Specify -vv or -vvv for even more

-q, --quiet
    Suppress output

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.